curl --request GET \
--url https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "msg_2nJ5bQw1pX7cT4aZsY8vHk0dLr3",
"eventType": "call.ended",
"eventId": "01929c4e-7a3b-7c1d-9f2e-5b6a8c0d1e2f",
"status": "retrying",
"nextAttemptAt": "2026-10-13T09:46:02Z",
"createdAt": "2026-10-13T09:12:44Z",
"payload": {
"type": "call.ended",
"data": {
"call_id": "123456"
}
},
"attempts": [
{
"id": "atmpt_2nJ5c1Lq8sRvY3kD0aWbXhZt7Me",
"createdAt": "2026-10-13T09:31:02Z",
"status": "failed",
"responseStatusCode": 503,
"responseDurationMs": 412,
"responseBody": "Service Unavailable",
"responseTruncated": false,
"trigger": "scheduled"
}
]
}{
"code": "UNAUTHORIZED",
"message": "You are not authorized to access this resource."
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}<string>{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}Get a delivery
Returns one delivery with the payload that was sent and every attempt on this endpoint, newest first, including the HTTP status your server answered and the first 4 KB of its response body. After 30 days the payload is no longer kept and payload is null.
curl --request GET \
--url https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudtalk.io/v1/webhooks/endpoints/{endpointId}/deliveries/{deliveryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "msg_2nJ5bQw1pX7cT4aZsY8vHk0dLr3",
"eventType": "call.ended",
"eventId": "01929c4e-7a3b-7c1d-9f2e-5b6a8c0d1e2f",
"status": "retrying",
"nextAttemptAt": "2026-10-13T09:46:02Z",
"createdAt": "2026-10-13T09:12:44Z",
"payload": {
"type": "call.ended",
"data": {
"call_id": "123456"
}
},
"attempts": [
{
"id": "atmpt_2nJ5c1Lq8sRvY3kD0aWbXhZt7Me",
"createdAt": "2026-10-13T09:31:02Z",
"status": "failed",
"responseStatusCode": 503,
"responseDurationMs": 412,
"responseBody": "Service Unavailable",
"responseTruncated": false,
"trigger": "scheduled"
}
]
}{
"code": "UNAUTHORIZED",
"message": "You are not authorized to access this resource."
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}<string>{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"target": "<string>"
}
],
"target": "<string>"
},
"requestId": "<string>"
}Authorizations
HTTP Basic Authentication. Use your API Access Key ID as the username and your API Access Key Secret as the password. Generate keys in the CloudTalk Dashboard under Account -> Settings -> API Keys (https://dashboard.cloudtalk.io/menu/account/settings/API-keys).
Path Parameters
Webhook endpoint id (ep_...).
"ep_2nJ4qKZr8C1tY0dXwV3uFh7bM9s"
Delivery id (msg_...). It is the same value as the svix-id header of the delivered request.
"msg_2nJ5bQw1pX7cT4aZsY8vHk0dLr3"
Response
The delivery.
Delivery id; the same value as the svix-id header of the delivered request.
The event_id of the webhook body, the key to deduplicate on.
retrying: an attempt failed and another is scheduled at nextAttemptAt. failed: the last attempt failed and no retry is scheduled.
succeeded, failed, retrying, pending, canceled The body that was sent. null after the 30-day payload retention.
Show child attributes
Show child attributes